
package util;

/**
 * "logger" singleton.
 * It is a terminal output wrapper.
 * 
 * @author Jose Simo (c) ai2-UPV 2014
 */
public class Log {

	public enum LogType {ERROR,WARNING,INFO};
	
	private static boolean active = true;
	
	public static boolean isActive() {
		return active;
	}
	public static void setActive(boolean active) {
		Log.active = active;
	}	
	public static void logMessage(LogType type, String s) {
		if (type == LogType.ERROR) {
			System.err.println(s);
		} else {
			System.out.println(s);
		}
	}
}
